package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessdepression.ElderlyAssessDepressionPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessdepression.ElderlyAssessDepressionRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.elderlyassessdepression.ElderlyAssessDepressionSaveReqVO;

public interface ElderlyAssessDepressionService {

    Long create(ElderlyAssessDepressionSaveReqVO createReqVO);

    void update(ElderlyAssessDepressionSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyAssessDepressionRespVO get(Long id);

    PageResult<ElderlyAssessDepressionRespVO> getPage(ElderlyAssessDepressionPageReqVO pageReqVO);
}
